PPI::Statement::Expression(3)

NAME
PPI::Statement::Expression - A generic and non-specialised statement

SYNOPSIS
  $foo = bar;
  ("Hello World!");
  do_this();

INHERITANCE
  PPI::Statement::Expression
  isa PPI::Statement
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
A "PPI::Statement::Expression" is a normal statement that is evaluated, may or may not assign, may or may not have side effects, and has no special or redeeming features whatsoever.

It provides a default for all statements that don't fit into any other classes.

METHODS
"PPI::Statement::Expression" has no additional methods beyond the default ones provided by PPI::Statement, PPI::Node and PPI::Element.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.